Package: release.debian.org
Severity: normal
User: release.debian....@packages.debian.org
Usertags: unblock

Please ack upload to tpu to fix some bad decisions. It basicly reverts
the removal of clvm, which produced an outcry. Also it disables thin
provisioning support again, as it is neither usable nor save.

--- debian/control      (revision 929)
+++ debian/control      (revision 931)
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian LVM Team <pkg-lvm-maintain...@lists.alioth.debian.org>
 Uploaders: Bastian Blank <wa...@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 8.1.3~), automake, 
libreadline-gplv2-dev, libselinux1-dev, libudev-dev, pkg-config
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 8.1.3~), automake, 
libcman-dev (>> 2), libcorosync-dev, libdlm-dev (>> 2), libreadline-gplv2-dev, 
libselinux1-dev, libudev-dev, openais-dev, pkg-config
 Standards-Version: 3.9.1
 Homepage: http://sources.redhat.com/lvm2/
 Vcs-Svn: svn://svn.debian.org/pkg-lvm/lvm2/trunk/
@@ -35,6 +35,18 @@
  volume groups can be allocated to logical volumes, which are accessed as
  regular block devices.
 
+Package: clvm
+Priority: extra
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), 
lsb-base
+Recommends: corosync | openais | cman
+Multi-Arch: foreign
+Description: Cluster LVM Daemon for lvm2
+ This package provides the clustering interface for lvm2, when used with
+ Red Hat's "cman" or corosync based (eg Pacemaker) cluster infrastructure.
+ It allows logical volumes to be created on shared storage devices
+ (eg Fibre Channel, or iSCSI).
+
 Package: libdevmapper-dev
 Section: libdevel
 Architecture: any
--- debian/clvm.NEWS    (revision 0)
+++ debian/clvm.NEWS    (revision 931)
@@ -0,0 +1,11 @@
+lvm2 (2.02.39-4) unstable; urgency=low
+
+  The cluster locking support is now built as internal support. This
+  means that the lvm config needs to contain the following to use this
+  support.
+
+  global {
+      locking_type = 3
+  }
+
+ -- Bastian Blank <wa...@debian.org>  Fri, 21 Nov 2008 15:58:27 +0100
--- debian/changelog    (revision 929)
+++ debian/changelog    (revision 931)
@@ -1,3 +1,11 @@
+lvm2 (2.02.95-7) UNRELEASED; urgency=low
+
+  * Re-enable cluster support. (closes: #697676)
+  * Disable thin support. We lack the thin_check binary and it does not work
+    anyway. (closes: #702163)
+
+ -- Bastian Blank <wa...@debian.org>  Sun, 03 Mar 2013 12:45:51 +0100
+
 lvm2 (2.02.95-6) unstable; urgency=low
 
   * Drop cluster (clvm) support. It never properly worked and is more dead
--- debian/rules        (revision 929)
+++ debian/rules        (revision 931)
@@ -77,8 +77,8 @@
        $(CONFIGURE) \
                --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH) \
                --with-optimisation="$(CFLAGS_OPT_DEB)" \
-               --with-cluster=none \
-               --with-thin=internal \
+               --with-clvmd=cman,corosync,openais \
+               --with-cluster=internal \
                --with-device-uid=0 \
                --with-device-gid=6 \
                --with-device-mode=0660 \
@@ -160,6 +160,13 @@
        dh_md5sums
        dh_builddeb $(BUILDDEB_ARGS)
 
+install_clvm: export DH_OPTIONS = -pclvm
+install_clvm: DIR = $(BUILD_DIR)/install_deb
+install_clvm: $(STAMPS_DIR)/install_deb
+       +$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+       dh_installinit --no-start -- start 63 S . start 51 0 6 .
+       +$(MAKE_SELF) install-base
+
 install_dmeventd: export DH_OPTIONS = -pdmeventd
 install_dmeventd: DIR = $(BUILD_DIR)/install_deb
 install_dmeventd: $(STAMPS_DIR)/install_deb install_liblvm2
@@ -238,7 +245,7 @@
        +$(MAKE_SELF) install-base
 
 binary-indep:
-binary-arch: $(addprefix install_,libdevmapper libdevmapper-udeb 
libdevmapper-event libdevmapper-dev dmsetup dmsetup-udeb dmeventd liblvm2 lvm2 
lvm2-udeb)
+binary-arch: $(addprefix install_,libdevmapper libdevmapper-udeb 
libdevmapper-event libdevmapper-dev dmsetup dmsetup-udeb dmeventd liblvm2 lvm2 
lvm2-udeb clvm)
 
 binary: binary-indep binary-arch
 
--- debian/clvm.init    (revision 0)
+++ debian/clvm.init    (revision 931)
@@ -0,0 +1,143 @@
+#!/bin/sh
+#
+### BEGIN INIT INFO
+# Provides:          clvm
+# Required-Start:    lvm2
+# Required-Stop:     lvm2
+# Should-Start:      cman corosync openais
+# Should-Stop:       cman corosync openais
+# Default-Start:     S
+# Default-Stop:      0 6
+# Short-Description: start and stop the lvm cluster locking daemon
+### END INIT INFO
+#
+# Author: Frederik Schüler <f...@debian.org>
+# based on the old clvm init script from etch
+# and the clvmd init script from RHEL5
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Cluster LVM Daemon"
+NAME=clvm
+DAEMON=/usr/sbin/clvmd
+SCRIPTNAME=/etc/init.d/clvm
+
+[ -x $DAEMON ] || exit 0
+
+. /lib/init/vars.sh
+
+. /lib/lsb/init-functions
+
+if [ ! -f /etc/cluster/cluster.conf ]; then
+       log_failure_msg "clvmd: cluster not configured. Aborting."
+       exit 0
+fi
+
+if ! cman_tool status >/dev/null 2>&1; then
+       log_failure_msg "clvmd: cluster is not running. Aborting."
+       exit 0
+fi
+
+CLVMDTIMEOUT=20
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+DAEMON_OPTS="-T$CLVMDTIMEOUT"
+
+do_start()
+{
+       start-stop-daemon --start --quiet --exec $DAEMON -- $DAEMON_OPTS || 
status="$?"
+       # flush cache
+       vgscan > /dev/null 2>&1 
+       return $status
+}
+
+do_activate()
+{
+       if [ -n "$LVM_VGS" ] ; then
+               log_action_msg  "Activating VGs $LVM_VGS"
+               vgchange -ayl $LVM_VGS || return $?
+       else
+               log_action_msg  "Activating all VGs"
+               vgchange -ayl || return $?
+       fi
+}
+
+do_deactivate()
+{
+       if [ -n "$LVM_VGS" ] ; then
+               vgs="$LVM_VGS"
+       else
+               # Hack to only deactivate clustered volumes
+               vgs=$(vgdisplay -C -o vg_name,vg_attr --noheadings 2> /dev/null 
| awk '($2 ~ /.....c/) {print $1}')
+       fi
+
+       [ "$vgs" ] || return 0
+
+       vgchange -anl $vgs || return $?
+}
+
+do_stop()
+{
+       start-stop-daemon --stop --quiet --name clvmd
+       status=$?
+       return $status
+}
+
+case "$1" in
+       start)
+               # start the daemon...
+               log_daemon_msg "Starting $DESC" "$NAME"
+               do_start
+               status=$?
+               case "$status" in
+                       0) log_end_msg 0 ;;
+                       1) log_action_msg " already running" ; log_end_msg 0 ;;
+                       *) log_end_msg 1 ;;
+               esac
+               # and activate clustered volume groups
+               do_activate
+               status=$?
+               exit $status
+       ;;
+       stop)
+               # deactivate volumes...
+               log_daemon_msg "Deactivating VG $vg:"
+               do_deactivate
+               status=$?
+               case "$status" in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 0 ;;
+                       *) log_end_msg 1 ;;
+               esac
+               # and stop the daemon
+               log_daemon_msg "Stopping $DESC" "$NAME"
+               do_stop
+               status=$?
+               case "$status" in
+                       0) log_end_msg 0 ; exit 0 ;;
+                       1) log_end_msg 0 ; exit 0 ;;
+                       *) log_end_msg 1 ; exit $status ;;
+               esac
+       ;;
+       restart|force-reload)
+               $0 stop
+               sleep 1
+               $0 start
+       ;;
+       status)
+               pid=$( pidof $DAEMON )
+               if [ -n "$pid" ] ; then
+                       log_action_msg "$DESC is running" 
+               else
+                       log_action_msg "$DESC is not running"
+               fi
+               exit 0
+       ;;
+       *)
+               echo "Usage: $SCRIPTNAME 
{start|stop|restart|force-reload|status}" >&2
+               exit 1
+       ;;
+esac
+
+exit 0
--- debian/clvm.install (revision 0)
+++ debian/clvm.install (revision 931)
@@ -0,0 +1,2 @@
+usr/sbin/clvmd
+usr/share/man/man8/clvmd*
--- debian/clvm.defaults        (revision 0)
+++ debian/clvm.defaults        (revision 931)
@@ -0,0 +1,9 @@
+# Bourne shell compatible script, sourced by /etc/init.d/clvm to set
+# additional arguments for clvmd.
+
+# Startup timeout: 
+CLVMDTIMEOUT=20
+
+# Volume groups to activate on startup:
+# LVM_VGS="cluster_vg1 cluster_vg2"
+
--- debian/clvm.README.Debian   (revision 0)
+++ debian/clvm.README.Debian   (revision 931)
@@ -0,0 +1,23 @@
+This is the cluster LVM daemon for LVM2.
+
+In conjunction with the Red Hat cluster infrastructure (cman & dlm) it
+will allow LVM volumes on shared storage to be managed from a central
+point. If you also want to share data you should also look at GFS.
+
+Only "normal" block devices may be shared. At present, snapshots and
+mirroring are not cluster aware. So, if you want to snapshot a volume
+is is VERY IMPORTANT that not only the snapshot device but also the origin
+device be activated on one node only.
+
+clvmd should be run on all nodes in the cluster, unless this is the case
+commands will fail as the integrity of the LVM metadata cannot be assured.
+
+In order to make normal lvm2 cluster-aware it is necessary to edit the
+configuration file /etc/lvm/lvm.conf as follows:
+
+in the global{} section:
+  locking_type = 3
+
+
+Patrick Caulfield <patr...@debian.org>
+24th December 2004
--- debian/clvm.examples        (revision 0)
+++ debian/clvm.examples        (revision 931)
@@ -0,0 +1 @@
+scripts/clvmd_fix_conf.sh

-- System Information:
Debian Release: 7.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates'), (500, 'testing'), (400, 
'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


--
To UNSUBSCRIBE, email to debian-release-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: 
http://lists.debian.org/20130303115642.991.43039.report...@wavehammer.waldi.eu.org

Reply via email to